#ifndef _DI_MOUSE_
#define _DI_MOUSE_

#include "DIBase.h"

namespace HPL {
namespace DirectX {
/** マウス情報取得クラス
  *
  */
class DIMouse: public DIBase {
private:
	IDirectInputDevice8* m_pDIDevice;

	DIMOUSESTATE2 m_CurrentState;
	DIMOUSESTATE2 m_PreviousState;
public:
	DIMouse();
	virtual ~DIMouse();

	HRESULT initDevice( HINSTANCE hInstance, HWND hWnd );
	VOID set_Acquire( BOOL bFlag );
	HRESULT get_Key();

	DIMOUSESTATE2* get_CurrentState();
	DIMOUSESTATE2* get_PreviousState();

	void set_AxisMode( DWORD dwMode );
};
}
}
#endif
